Bug 1763098 - Prometheus container doesn't have terminationMessagePolicy FallbackToLogsOnError
Summary: Prometheus container doesn't have terminationMessagePolicy FallbackToLogsOnError
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1762968
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 09:00 UTC by Pawel Krupa
Modified: 2020-02-24 16:53 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1762968
Environment:
Last Closed: 2020-02-24 16:52:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift prometheus-operator pull 41 None closed Bug 1763098: *: Ensure containers have "FallbackToLogsOnError" termination policy 2020-02-18 00:11:25 UTC
Red Hat Product Errata RHBA-2020:0460 None None None 2020-02-24 16:52:59 UTC

Description Pawel Krupa 2019-10-18 09:00:43 UTC
+++ This bug was initially created as a clone of Bug #1762968 +++

While debugging a 4.2 failure I saw that prometheus had exited with exit code 1 but not reported a message.  While most of the other containers have the correct terminationMessagePolicy, Prometheus is wrong.

We need to fix and backport to 4.2 so we can correctly debug when containers exit on error.

Comment 5 errata-xmlrpc 2020-02-24 16:52:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0460


Note You need to log in before you can comment on or make changes to this bug.